// 定数
int MASU_S = 32; // マス目の大きさ（ピクセル）
int MEIRO_X = 16; // 迷路の横サイズ
int MEIRO_Y = 12; // 迷路の縦サイズ
// 迷路の設定 1＝壁
int[][] meiro = 
{{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
 {1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,1},
 {1,0,1,0,1,1,1,0,1,1,1,0,1,1,0,1},
 {1,0,1,0,0,0,0,0,0,0,1,0,1,0,0,1},
 {1,0,1,0,1,0,1,1,1,1,1,0,1,0,1,1},
 {1,0,1,0,1,1,1,0,0,0,0,0,1,0,0,1},
 {1,0,0,0,1,0,0,0,0,1,0,0,1,1,0,1},
 {1,0,1,0,1,1,1,1,0,1,1,1,1,0,0,1},
 {1,0,1,0,0,0,0,0,0,0,0,1,0,0,0,1},
 {1,0,1,1,0,1,1,0,1,1,0,1,0,0,0,1},
 {1,0,0,0,0,0,1,0,0,1,0,0,0,0,0,1}, 
 {1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}};
// 初期化を記述するセットアップ関数
void setup(){
  // ウィンドウの大きさを設定
  size(MEIRO_X * MASU_S, MEIRO_Y * MASU_S);
}
// 迷路を描く関数
void meiro_egaku(){
  background(192); // 背景を灰色に
  for(int y=0; y<MEIRO_Y; y++){
    for(int x=0; x<MEIRO_X; x++){
      if(meiro[y][x] == 1){ // 壁を描く     
        fill(157, 187, 97); // 淡い緑
        rect(x * MASU_S, y * MASU_S, MASU_S, MASU_S);
      }     
    }
  }
}
// 描画関数 標準では1秒間に60回実行される
void draw(){
  meiro_egaku();
}
